Ruby: pm_lambda_node Struct Reference

Ruby 3.3.6p108 (2024-11-05 revision 75015d4c1f6965b5e85e96fb309f1f2129f933c0)

Data Fields
pm_lambda_node Struct Reference

LambdaNode. More...

`#include <ast.h>`

## Data Fields
pm_node_t | base
| The embedded base node.
pm_constant_id_list_t | locals
| LambdaNode#locals.
uint32_t | locals_body_index
| LambdaNode#locals_body_index.
pm_location_t | operator_loc
| LambdaNode#operator_loc.
pm_location_t | opening_loc
| LambdaNode#opening_loc.
pm_location_t | closing_loc
| LambdaNode#closing_loc.
struct pm_node * | parameters
| LambdaNode#parameters.
struct pm_node * | body
| LambdaNode#body.
Data Fields inherited from pm_node
pm_node_type_t | type
| This represents the type of the node.
pm_node_flags_t | flags
| This represents any flags on the node.
pm_location_t | location
| This is the location of the node in the source.

## Detailed Description

LambdaNode.

Type: PM_LAMBDA_NODE

Definition at line 3177 of file ast.h.

## Field Documentation

## ◆ base

pm_node_t pm_lambda_node::base

The embedded base node.

Definition at line 3179 of file ast.h.

## ◆ body

struct pm_node* pm_lambda_node::body

LambdaNode#body.

Definition at line 3200 of file ast.h.

Referenced by pm_node_destroy().

## ◆ closing_loc

pm_location_t pm_lambda_node::closing_loc

LambdaNode#closing_loc.

Definition at line 3194 of file ast.h.

## ◆ locals

pm_constant_id_list_t pm_lambda_node::locals

LambdaNode#locals.

Definition at line 3182 of file ast.h.

Referenced by pm_node_destroy().

## ◆ locals_body_index

uint32_t pm_lambda_node::locals_body_index

LambdaNode#locals_body_index.

Definition at line 3185 of file ast.h.

## ◆ opening_loc

pm_location_t pm_lambda_node::opening_loc

LambdaNode#opening_loc.

Definition at line 3191 of file ast.h.

## ◆ operator_loc

pm_location_t pm_lambda_node::operator_loc

LambdaNode#operator_loc.

Definition at line 3188 of file ast.h.

## ◆ parameters

struct pm_node* pm_lambda_node::parameters

LambdaNode#parameters.

Definition at line 3197 of file ast.h.

Referenced by pm_node_destroy().

The documentation for this struct was generated from the following file:

- prism/ast.h